Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class DefaultGroovyMethodsSupport

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport

Direct Known Subclasses:
  DefaultGroovyMethods, PluginDefaultGroovyMethods

    public class DefaultGroovyMethodsSupport

extends Object

Support methods for DefaultGroovyMethods and PluginDefaultMethods.

Nested Class Summary
`protected static class` | `DefaultGroovyMethodsSupport.RangeInfo`

Constructor Summary
`DefaultGroovyMethodsSupport()`

Method Summary
`protected static Collection` | `cloneSimilarCollection(Collection left, int newCapacity)`
`protected static Map` | `cloneSimilarMap(Map left)`
`protected static Collection` | `createSimilarCollection(Collection collection)`
`protected static Collection` | `createSimilarCollection(Collection collection, int newCapacity)`
`protected static List` | `createSimilarList(List left, int newCapacity)`
`protected static Collection` | `createSimilarOrDefaultCollection(Object object)`
`protected static Set` | `createSimilarSet(Set self)`
`protected static int` | `normaliseIndex(int i, int size)` This converts a possibly negative index to a real index into the array.
`protected static boolean` | `sameType(Collection[] cols)` Determines if all items of this array are of the same type.
`protected static DefaultGroovyMethodsSupport.RangeInfo` | `subListBorders(int size, EmptyRange range)`
`protected static DefaultGroovyMethodsSupport.RangeInfo` | `subListBorders(int size, IntRange range)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGroovyMethodsSupport

    public DefaultGroovyMethodsSupport()

Method Detail

### subListBorders

    protected static DefaultGroovyMethodsSupport.RangeInfo subListBorders(int size,
                                                                          IntRange range)

### subListBorders

    protected static DefaultGroovyMethodsSupport.RangeInfo subListBorders(int size,
                                                                          EmptyRange range)

### normaliseIndex

    protected static int normaliseIndex(int i,
                                        int size)

  This converts a possibly negative index to a real index into the array.

  Parameters:
    `i` - the unnormalised index
    `size` - the array size
  Returns:
    the normalised index

### cloneSimilarCollection

    protected static Collection cloneSimilarCollection(Collection left,
                                                       int newCapacity)

### createSimilarOrDefaultCollection

    protected static Collection createSimilarOrDefaultCollection(Object object)

### createSimilarCollection

    protected static Collection createSimilarCollection(Collection collection)

### createSimilarCollection

    protected static Collection createSimilarCollection(Collection collection,
                                                        int newCapacity)

### createSimilarList

    protected static List createSimilarList(List left,
                                            int newCapacity)

### cloneSimilarMap

    protected static Map cloneSimilarMap(Map left)

### createSimilarSet

    protected static Set createSimilarSet(Set self)

### sameType

    protected static boolean sameType(Collection[] cols)

  Determines if all items of this array are of the same type.

  Parameters:
    `cols` - an array of collections
  Returns:
    true if the collections are all of the same type

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD